EF13
Good afternoon,
Running open PLC on windows 7/ Arduino

I installed open plc per the web page instructions having to go to manual install due to not being able to open runtime. It would cycle between two error messages resulting in a incomplete install.
./ start_openplc.sh not in its directory. I can see the file in the directory
and Libmodbus not installed resulting in an incomplete installation.
I was able to install a clone Libmodbus from the internet and when i did this it went through and installed completely. I was able to get the runtime running and even install a program and run it. Nice!
When I shutdown the program in the evening and tried to get it to run in the morning their was no way to get the runtime up and running again and it required a whole new install and am unable to get it to work again??
What could be the issue? I tried the Libmodbus install again and nada

Thank you
Quote 0 0
thiagoralves
Send me the complete terminal log (just copy and paste Cygwin screen) when you do the manual install and I’ll take a look
Quote 0 0
EF13

Okay after the 999 time its up and running again 🙂
Question is how to I back out successfully without messing something up?
The server is running through the Cygwin and not the runtime.
If I open up the runtime it still says ./ Start_openplc.sh not file in directory

Quote 0 0
EF13

Okay after the 999 time its up and running again 🙂
Question is how to I back out successfully without messing something up?
The server is running through the Cygwin and not the runtime.
If I open up the runtime it still says ./ Start_openplc.sh not file in directory

OEM@OEM-PC ~
$ git clone https://github.com/thiagoralves/OpenPLC_v3.git
./ install.sh winfatal: destination path 'OpenPLC_v3' already exists and is not an empty directory.

OEM@OEM-PC ~
$ cd OpenPLC_v3

OEM@OEM-PC ~/OpenPLC_v3
$ ./ install.sh win
Installing OpenPLC on Windows
--20:45:17-- http://cygwin.mirror.constant.com//x86_64/setup.bz2
=> `setup.bz2'
Resolving cygwin.mirror.constant.com... done.
Connecting to cygwin.mirror.constant.com[108.61.5.83]:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 3,958,650 [application/octet-stream]

0K .......... .......... .......... .......... .......... 1% 282.49 KB/s
50K .......... .......... .......... .......... .......... 2% 684.93 KB/s
100K .......... .......... .......... .......... .......... 3% 806.45 KB/s
150K .......... .......... .......... .......... .......... 5% 1000.00 KB/s
200K .......... .......... .......... .......... .......... 6% 2.03 MB/s
250K .......... .......... .......... .......... .......... 7% 2.03 MB/s
300K .......... .......... .......... .......... .......... 9% 2.12 MB/s
350K .......... .......... .......... .......... .......... 10% 2.57 MB/s
400K .......... .......... .......... .......... .......... 11% 3.26 MB/s
450K .......... .......... .......... .......... .......... 12% 4.07 MB/s
500K .......... .......... .......... .......... .......... 14% 4.07 MB/s
550K .......... .......... .......... .......... .......... 15% 1.95 MB/s
600K .......... .......... .......... .......... .......... 16% 1.95 MB/s
650K .......... .......... .......... .......... .......... 18% 4.88 MB/s
700K .......... .......... .......... .......... .......... 19% 4.88 MB/s
750K .......... .......... .......... .......... .......... 20% 4.88 MB/s
800K .......... .......... .......... .......... .......... 21% 2.12 MB/s
850K .......... .......... .......... .......... .......... 23% 1.88 MB/s
900K .......... .......... .......... .......... .......... 24% 4.44 MB/s
950K .......... .......... .......... .......... .......... 25% 3.26 MB/s
1000K .......... .......... .......... .......... .......... 27% 6.10 MB/s
1050K .......... .......... .......... .......... .......... 28% 1.68 MB/s
1100K .......... .......... .......... .......... .......... 29% 2.33 MB/s
1150K .......... .......... .......... .......... .......... 31% 4.07 MB/s
1200K .......... .......... .......... .......... .......... 32% 4.07 MB/s
1250K .......... .......... .......... .......... .......... 33% 6.10 MB/s
1300K .......... .......... .......... .......... .......... 34% 1.74 MB/s
1350K .......... .......... .......... .......... .......... 36% 2.57 MB/s
1400K .......... .......... .......... .......... .......... 37% 3.26 MB/s
1450K .......... .......... .......... .......... .......... 38% 5.43 MB/s
1500K .......... .......... .......... .......... .......... 40% 3.05 MB/s
1550K .......... .......... .......... .......... .......... 41% 2.12 MB/s
1600K .......... .......... .......... .......... .......... 42% 2.44 MB/s
1650K .......... .......... .......... .......... .......... 43% 3.05 MB/s
1700K .......... .......... .......... .......... .......... 45% 3.05 MB/s
1750K .......... .......... .......... .......... .......... 46% 3.05 MB/s
1800K .......... .......... .......... .......... .......... 47% 2.87 MB/s
1850K .......... .......... .......... .......... .......... 49% 3.26 MB/s
1900K .......... .......... .......... .......... .......... 50% 2.57 MB/s
1950K .......... .......... .......... .......... .......... 51% 3.05 MB/s
2000K .......... .......... .......... .......... .......... 53% 3.05 MB/s
2050K .......... .......... .......... .......... .......... 54% 3.05 MB/s
2100K .......... .......... .......... .......... .......... 55% 3.26 MB/s
2150K .......... .......... .......... .......... .......... 56% 2.87 MB/s
2200K .......... .......... .......... .......... .......... 58% 2.71 MB/s
2250K .......... .......... .......... .......... .......... 59% 3.05 MB/s
2300K .......... .......... .......... .......... .......... 60% 3.05 MB/s
2350K .......... .......... .......... .......... .......... 62% 3.26 MB/s
2400K .......... .......... .......... .......... .......... 63% 2.71 MB/s
2450K .......... .......... .......... .......... .......... 64% 3.26 MB/s
2500K .......... .......... .......... .......... .......... 65% 2.44 MB/s
2550K .......... .......... .......... .......... .......... 67% 4.07 MB/s
2600K .......... .......... .......... .......... .......... 68% 3.26 MB/s
2650K .......... .......... .......... .......... .......... 69% 2.44 MB/s
2700K .......... .......... .......... .......... .......... 71% 3.26 MB/s
2750K .......... .......... .......... .......... .......... 72% 3.26 MB/s
2800K .......... .......... .......... .......... .......... 73% 2.87 MB/s
2850K .......... .......... .......... .......... .......... 75% 3.26 MB/s
2900K .......... .......... .......... .......... .......... 76% 2.71 MB/s
2950K .......... .......... .......... .......... .......... 77% 3.49 MB/s
3000K .......... .......... .......... .......... .......... 78% 2.71 MB/s
3050K .......... .......... .......... .......... .......... 80% 2.87 MB/s
3100K .......... .......... .......... .......... .......... 81% 2.57 MB/s
3150K .......... .......... .......... .......... .......... 82% 3.76 MB/s
3200K .......... .......... .......... .......... .......... 84% 3.26 MB/s
3250K .......... .......... .......... .......... .......... 85% 2.87 MB/s
3300K .......... .......... .......... .......... .......... 86% 2.71 MB/s
3350K .......... .......... .......... .......... .......... 87% 2.87 MB/s
3400K .......... .......... .......... .......... .......... 89% 3.05 MB/s
3450K .......... .......... .......... .......... .......... 90% 3.76 MB/s
3500K .......... .......... .......... .......... .......... 91% 2.87 MB/s
3550K .......... .......... .......... .......... .......... 93% 2.87 MB/s
3600K .......... .......... .......... .......... .......... 94% 2.87 MB/s
3650K .......... .......... .......... .......... .......... 95% 2.71 MB/s
3700K .......... .......... .......... .......... .......... 97% 3.26 MB/s
3750K .......... .......... .......... .......... .......... 98% 3.76 MB/s
3800K .......... .......... .......... .......... .......... 99% 2.87 MB/s
3850K .......... ..... 100% 3.10 MB/s

20:45:19 (2.38 MB/s) - `setup.bz2' saved [3958650/3958650]

Updated setup.ini
Package lynx is already installed, skipping
Removing gcc-core
Package gcc-core removed
Removing gcc-g++
Package gcc-g++ removed
Removing pkg-config
Package pkg-config removed
Removing automake
Package automake removed
Removing autoconf
Package autoconf removed
Removing libtool
Package libtool removed
Removing make
Package make removed
Removing python2
Package python2 removed
Package python2-pip is not installed, skipping
Removing sqlite3
Package sqlite3 removed
Package wget is already installed, skipping
Installing gcc-core
gcc-core-7.4.0-1.tar.xz: OK
Unpacking...
Package gcc-core requires the following packages, installing:
bash binutils cygwin cygwin-devel libatomic1 libgcc1 libgmp10 libgomp1 libiconv2 libintl8 libisl15 libmpc3 libmpfr6 libquadmath0 w32api-headers w32api-runtime windows-default-manifest zlib0
Package bash is already installed, skipping
Package binutils is already installed, skipping
Package cygwin is already installed, skipping
Package cygwin-devel is already installed, skipping
Package libatomic1 is already installed, skipping
Package libgcc1 is already installed, skipping
Package libgmp10 is already installed, skipping
Package libgomp1 is already installed, skipping
Package libiconv2 is already installed, skipping
Package libintl8 is already installed, skipping
Package libisl15 is already installed, skipping
Package libmpc3 is already installed, skipping
Package libmpfr6 is already installed, skipping
Package libquadmath0 is already installed, skipping
Package w32api-headers is already installed, skipping
Package w32api-runtime is already installed, skipping
Package windows-default-manifest is already installed, skipping
Package zlib0 is already installed, skipping
Package gcc-core installed

Installing gcc-g++
gcc-g++-7.4.0-1.tar.xz: OK
Unpacking...
Package gcc-g++ requires the following packages, installing:
cygwin gcc-core libgmp10 libiconv2 libintl8 libisl15 libmpc3 libmpfr6 libstdc++6 zlib0
Package cygwin is already installed, skipping
Package gcc-core is already installed, skipping
Package libgmp10 is already installed, skipping
Package libiconv2 is already installed, skipping
Package libintl8 is already installed, skipping
Package libisl15 is already installed, skipping
Package libmpc3 is already installed, skipping
Package libmpfr6 is already installed, skipping
Package libstdc++6 is already installed, skipping
Package zlib0 is already installed, skipping
Package gcc-g++ installed
Package git is already installed, skipping

Installing pkg-config
pkg-config-1.6.0-1.tar.xz: OK
Unpacking...
Package pkg-config requires the following packages, installing:
bash cygwin libglib2.0_0 pkgconf
Package bash is already installed, skipping
Package cygwin is already installed, skipping
Package libglib2.0_0 is already installed, skipping
Package pkgconf is already installed, skipping
Package pkg-config installed

Installing automake
automake-11-1.tar.xz: OK
Unpacking...
Package automake requires the following packages, installing:
automake1.10 automake1.11 automake1.12 automake1.13 automake1.14 automake1.15 automake1.16 automake1.4 automake1.5 automake1.6 automake1.7 automake1.8 automake1.9 bash gawk
Package automake1.10 is already installed, skipping
Package automake1.11 is already installed, skipping
Package automake1.12 is already installed, skipping
Package automake1.13 is already installed, skipping
Package automake1.14 is already installed, skipping
Package automake1.15 is already installed, skipping
Package automake1.16 is already installed, skipping
Package automake1.4 is already installed, skipping
Package automake1.5 is already installed, skipping
Package automake1.6 is already installed, skipping
Package automake1.7 is already installed, skipping
Package automake1.8 is already installed, skipping
Package automake1.9 is already installed, skipping
Package bash is already installed, skipping
Package gawk is already installed, skipping
Package automake installed

Installing autoconf
autoconf-13-1.tar.bz2: OK
Unpacking...
Package autoconf requires the following packages, installing:
autoconf2.1 autoconf2.5 bash sed
Package autoconf2.1 is already installed, skipping
Package autoconf2.5 is already installed, skipping
Package bash is already installed, skipping
Package sed is already installed, skipping
Running /etc/postinstall/ autoconf.sh
Package autoconf installed

Installing libtool
libtool-2.4.6-7.tar.xz: OK
Unpacking...
Package libtool requires the following packages, installing:
bash libltdl7
Package bash is already installed, skipping
Package libltdl7 is already installed, skipping
Package libtool installed

Installing make
make-4.2.1-2.tar.xz: OK
Unpacking...
Package make requires the following packages, installing:
cygwin libguile17 libguile2.0_22 libintl8
Package cygwin is already installed, skipping
Package libguile17 is already installed, skipping
Package libguile2.0_22 is already installed, skipping
Package libintl8 is already installed, skipping
Package make installed

Installing python2
python2-2.7.16-1.tar.xz: OK
Unpacking...
Package python2 requires the following packages, installing:
bash binutils cygwin libbz2_1 libcrypt0 libdb5.3 libexpat1 libffi6 libgdbm4 libgdbm_compat4 libintl8 libncursesw10 libopenssl100 libreadline7 libsqlite3_0 libuuid-devel python27 zlib0
Package bash is already installed, skipping
Package binutils is already installed, skipping
Package cygwin is already installed, skipping
Package libbz2_1 is already installed, skipping
Package libcrypt0 is already installed, skipping
Package libdb5.3 is already installed, skipping
Package libexpat1 is already installed, skipping
Package libffi6 is already installed, skipping
Package libgdbm4 is already installed, skipping
Package libgdbm_compat4 is already installed, skipping
Package libintl8 is already installed, skipping
Package libncursesw10 is already installed, skipping
Installing libopenssl100
libopenssl100-1.0.2t-1.tar.xz: OK
Unpacking...
Package libopenssl100 requires the following packages, installing:
libssl1.0
Package libssl1.0 is already installed, skipping
Package libreadline7 is already installed, skipping
Package libsqlite3_0 is already installed, skipping
Package libuuid-devel is already installed, skipping
Package python27 is already installed, skipping
Package zlib0 is already installed, skipping
Package python2 installed

Installing python2-pip
python2-pip-19.2.3-1.tar.xz: OK
Unpacking...
Package python2-pip requires the following packages, installing:
python27-pip
Package python27-pip is already installed, skipping
Package python2-pip installed

Installing sqlite3
sqlite3-3.30.0-1.tar.xz: OK
Unpacking...
Package sqlite3 requires the following packages, installing:
cygwin libreadline7 libsqlite3_0 sqlite3-vfslog zlib0
Package cygwin is already installed, skipping
Package libreadline7 is already installed, skipping
Package libsqlite3_0 is already installed, skipping
Package sqlite3-vfslog is already installed, skipping
Package zlib0 is already installed, skipping
Package sqlite3 installed
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting pip
Using cached https://files.pythonhosted.org/packages/00/b6/9cfa56b4081ad13874b0c6f96af8ce16cfbc1cb06bedf8e9164ce5551ec1/pip-19.3.1-py2.py3-none-any.whl
Installing collected packages: pip
Found existing installation: pip 19.3.1
Uninstalling pip-19.3.1:
Successfully uninstalled pip-19.3.1
Successfully installed pip-19.3.1
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already satisfied: flask in /usr/lib/python2.7/site-packages (1.1.1)
Requirement already satisfied: Jinja2>=2.10.1 in /usr/lib/python2.7/site-packages (from flask) (2.10.3)
Requirement already satisfied: itsdangerous>=0.24 in /usr/lib/python2.7/site-packages (from flask) (1.1.0)
Requirement already satisfied: Werkzeug>=0.15 in /usr/lib/python2.7/site-packages (from flask) (0.16.0)
Requirement already satisfied: click>=5.1 in /usr/lib/python2.7/site-packages (from flask) (7.0)
Requirement already satisfied: MarkupSafe>=0.23 in /usr/lib/python2.7/site-packages (from Jinja2>=2.10.1->flask) (1.1.1)
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already satisfied: flask-login in /usr/lib/python2.7/site-packages (0.4.1)
Requirement already satisfied: Flask in /usr/lib/python2.7/site-packages (from flask-login) (1.1.1)
Requirement already satisfied: Jinja2>=2.10.1 in /usr/lib/python2.7/site-packages (from Flask->flask-login) (2.10.3)
Requirement already satisfied: itsdangerous>=0.24 in /usr/lib/python2.7/site-packages (from Flask->flask-login) (1.1.0)
Requirement already satisfied: Werkzeug>=0.15 in /usr/lib/python2.7/site-packages (from Flask->flask-login) (0.16.0)
Requirement already satisfied: click>=5.1 in /usr/lib/python2.7/site-packages (from Flask->flask-login) (7.0)
Requirement already satisfied: MarkupSafe>=0.23 in /usr/lib/python2.7/site-packages (from Jinja2>=2.10.1->Flask->flask-login) (1.1.1)
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already satisfied: pyserial in /usr/lib/python2.7/site-packages (3.4)
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already satisfied: pymodbus in /usr/lib/python2.7/site-packages (2.3.0)
Requirement already satisfied: six>=1.11.0 in /usr/lib/python2.7/site-packages (from pymodbus) (1.13.0)
Requirement already satisfied: pyserial>=3.4 in /usr/lib/python2.7/site-packages (from pymodbus) (3.4)

[MATIEC COMPILER]

[ST OPTIMIZER]

[GLUE GENERATOR]

[OPEN DNP3]

[LIBMODBUS]
libtoolize: putting auxiliary files in AC_CONFIG_AUX_DIR, 'build-aux'.
libtoolize: linking file 'build-aux/ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIRS, 'm4'.
libtoolize: linking file 'm4/libtool.m4'
libtoolize: linking file 'm4/ltoptions.m4'
libtoolize: linking file 'm4/ltsugar.m4'
libtoolize: linking file 'm4/ltversion.m4'
libtoolize: linking file 'm4/lt~obsolete.m4'
configure.ac:33: installing 'build-aux/compile'
configure.ac:32: installing 'build-aux/missing'
src/Makefile.am: installing 'build-aux/depcomp'

------------------------------------------------------
Initialized build system. You can now run ./configure
------------------------------------------------------

checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking how to create a pax tar archive... gnutar
checking whether make supports the include directive... yes (GNU style)
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.exe
checking for suffix of executables... configure: error: in `/home/OEM/OpenPLC_v3/utils/libmodbus_src':
configure: error: cannot compute suffix of executables: cannot compile and link
See `config.log' for more details
make: *** No rule to make target 'install'. Stop.
Error installing Libmodbus
OpenPLC was NOT installed!

OEM@OEM-PC ~/OpenPLC_v3
$ git clone git:// github.com/stephane/libmodbus
Cloning into 'libmodbus'...
remote: Enumerating objects: 4580, done.
remote: Total 4580 (delta 0), reused 0 (delta 0), pack-reused 4580
Receiving objects: 100% (4580/4580), 1.50 MiB | 4.82 MiB/s, done.
Resolving deltas: 100% (3114/3114), done.

OEM@OEM-PC ~/OpenPLC_v3
$ git clone https://github.com/thiagoralves/OpenPLC_v3.git
./ install.sh winCloning into 'OpenPLC_v3'...
remote: Enumerating objects: 97, done.
remote: Counting objects: 100% (97/97), done.
remote: Compressing objects: 100% (70/70), done.
remote: Total 4860 (delta 37), reused 59 (delta 26), pack-reused 4763
Receiving objects: 100% (4860/4860), 11.24 MiB | 5.82 MiB/s, done.
Resolving deltas: 100% (2575/2575), done.
Checking out files: 100% (2769/2769), done.

OEM@OEM-PC ~/OpenPLC_v3
$ cd OpenPLC_v3

OEM@OEM-PC ~/OpenPLC_v3/OpenPLC_v3
$ ./ install.sh win
Installing OpenPLC on Windows
--20:49:43-- http://cygwin.mirror.constant.com//x86_64/setup.bz2
=> `setup.bz2'
Resolving cygwin.mirror.constant.com... done.
Connecting to cygwin.mirror.constant.com[108.61.5.83]:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 3,958,650 [application/octet-stream]

0K .......... .......... .......... .......... .......... 1% 1000.00 KB/s
50K .......... .......... .......... .......... .......... 2% 675.68 KB/s
100K .......... .......... .......... .......... .......... 3% 769.23 KB/s
150K .......... .......... .......... .......... .......... 5% 1.11 MB/s
200K .......... .......... .......... .......... .......... 6% 2.03 MB/s
250K .......... .......... .......... .......... .......... 7% 2.12 MB/s
300K .......... .......... .......... .......... .......... 9% 1.88 MB/s
350K .......... .......... .......... .......... .......... 10% 2.71 MB/s
400K .......... .......... .......... .......... .......... 11% 3.49 MB/s
450K .......... .......... .......... .......... .......... 12% 3.76 MB/s
500K .......... .......... .......... .......... .......... 14% 3.49 MB/s
550K .......... .......... .......... .......... .......... 15% 1.81 MB/s
600K .......... .......... .......... .......... .......... 16% 3.49 MB/s
650K .......... .......... .......... .......... .......... 18% 4.07 MB/s
700K .......... .......... .......... .......... .......... 19% 2.44 MB/s
750K .......... .......... .......... .......... .......... 20% 4.07 MB/s
800K .......... .......... .......... .......... .......... 21% 2.57 MB/s
850K .......... .......... .......... .......... .......... 23% 3.05 MB/s
900K .......... .......... .......... .......... .......... 24% 3.49 MB/s
950K .......... .......... .......... .......... .......... 25% 2.71 MB/s
1000K .......... .......... .......... .......... .......... 27% 3.05 MB/s
1050K .......... .......... .......... .......... .......... 28% 2.57 MB/s
1100K .......... .......... .......... .......... .......... 29% 3.49 MB/s
1150K .......... .......... .......... .......... .......... 31% 2.87 MB/s
1200K .......... .......... .......... .......... .......... 32% 3.26 MB/s
1250K .......... .......... .......... .......... .......... 33% 4.44 MB/s
1300K .......... .......... .......... .......... .......... 34% 2.03 MB/s
1350K .......... .......... .......... .......... .......... 36% 2.71 MB/s
1400K .......... .......... .......... .......... .......... 37% 3.76 MB/s
1450K .......... .......... .......... .......... .......... 38% 3.49 MB/s
1500K .......... .......... .......... .......... .......... 40% 3.76 MB/s
1550K .......... .......... .......... .......... .......... 41% 2.12 MB/s
1600K .......... .......... .......... .......... .......... 42% 2.33 MB/s
1650K .......... .......... .......... .......... .......... 43% 3.26 MB/s
1700K .......... .......... .......... .......... .......... 45% 3.05 MB/s
1750K .......... .......... .......... .......... .......... 46% 3.05 MB/s
1800K .......... .......... .......... .......... .......... 47% 3.26 MB/s
1850K .......... .......... .......... .......... .......... 49% 3.05 MB/s
1900K .......... .......... .......... .......... .......... 50% 2.71 MB/s
1950K .......... .......... .......... .......... .......... 51% 2.87 MB/s
2000K .......... .......... .......... .......... .......... 53% 3.26 MB/s
2050K .......... .......... .......... .......... .......... 54% 2.87 MB/s
2100K .......... .......... .......... .......... .......... 55% 3.49 MB/s
2150K .......... .......... .......... .......... .......... 56% 2.71 MB/s
2200K .......... .......... .......... .......... .......... 58% 2.87 MB/s
2250K .......... .......... .......... .......... .......... 59% 3.05 MB/s
2300K .......... .......... .......... .......... .......... 60% 3.05 MB/s
2350K .......... .......... .......... .......... .......... 62% 3.05 MB/s
2400K .......... .......... .......... .......... .......... 63% 3.05 MB/s
2450K .......... .......... .......... .......... .......... 64% 2.71 MB/s
2500K .......... .......... .......... .......... .......... 65% 3.49 MB/s
2550K .......... .......... .......... .......... .......... 67% 3.05 MB/s
2600K .......... .......... .......... .......... .......... 68% 3.05 MB/s
2650K .......... .......... .......... .......... .......... 69% 3.05 MB/s
2700K .......... .......... .......... .......... .......... 71% 2.87 MB/s
2750K .......... .......... .......... .......... .......... 72% 2.87 MB/s
2800K .......... .......... .......... .......... .......... 73% 2.87 MB/s
2850K .......... .......... .......... .......... .......... 75% 3.49 MB/s
2900K .......... .......... .......... .......... .......... 76% 2.87 MB/s
2950K .......... .......... .......... .......... .......... 77% 2.87 MB/s
3000K .......... .......... .......... .......... .......... 78% 3.05 MB/s
3050K .......... .......... .......... .......... .......... 80% 2.87 MB/s
3100K .......... .......... .......... .......... .......... 81% 3.76 MB/s
3150K .......... .......... .......... .......... .......... 82% 2.71 MB/s
3200K .......... .......... .......... .......... .......... 84% 2.71 MB/s
3250K .......... .......... .......... .......... .......... 85% 3.26 MB/s
3300K .......... .......... .......... .......... .......... 86% 3.26 MB/s
3350K .......... .......... .......... .......... .......... 87% 2.87 MB/s
3400K .......... .......... .......... .......... .......... 89% 3.76 MB/s
3450K .......... .......... .......... .......... .......... 90% 2.44 MB/s
3500K .......... .......... .......... .......... .......... 91% 3.49 MB/s
3550K .......... .......... .......... .......... .......... 93% 2.57 MB/s
3600K .......... .......... .......... .......... .......... 94% 3.49 MB/s
3650K .......... .......... .......... .......... .......... 95% 3.26 MB/s
3700K .......... .......... .......... .......... .......... 97% 2.71 MB/s
3750K .......... .......... .......... .......... .......... 98% 3.26 MB/s
3800K .......... .......... .......... .......... .......... 99% 2.87 MB/s
3850K .......... ..... 100% 2.21 MB/s

20:49:44 (2.60 MB/s) - `setup.bz2' saved [3958650/3958650]

Updated setup.ini
Package lynx is already installed, skipping
Removing gcc-core
Package gcc-core removed
Removing gcc-g++
Package gcc-g++ removed
Removing pkg-config
Package pkg-config removed
Removing automake
Package automake removed
Removing autoconf
Package autoconf removed
Removing libtool
Package libtool removed
Removing make
Package make removed
Removing python2
Package python2 removed
Removing python2-pip
Package python2-pip removed
Removing sqlite3
Package sqlite3 removed
Package wget is already installed, skipping
Installing gcc-core
gcc-core-7.4.0-1.tar.xz: OK
Unpacking...
Package gcc-core requires the following packages, installing:
bash binutils cygwin cygwin-devel libatomic1 libgcc1 libgmp10 libgomp1 libiconv2 libintl8 libisl15 libmpc3 libmpfr6 libquadmath0 w32api-headers w32api-runtime windows-default-manifest zlib0
Package bash is already installed, skipping
Package binutils is already installed, skipping
Package cygwin is already installed, skipping
Package cygwin-devel is already installed, skipping
Package libatomic1 is already installed, skipping
Package libgcc1 is already installed, skipping
Package libgmp10 is already installed, skipping
Package libgomp1 is already installed, skipping
Package libiconv2 is already installed, skipping
Package libintl8 is already installed, skipping
Package libisl15 is already installed, skipping
Package libmpc3 is already installed, skipping
Package libmpfr6 is already installed, skipping
Package libquadmath0 is already installed, skipping
Package w32api-headers is already installed, skipping
Package w32api-runtime is already installed, skipping
Package windows-default-manifest is already installed, skipping
Package zlib0 is already installed, skipping
Package gcc-core installed

Installing gcc-g++
gcc-g++-7.4.0-1.tar.xz: OK
Unpacking...
Package gcc-g++ requires the following packages, installing:
cygwin gcc-core libgmp10 libiconv2 libintl8 libisl15 libmpc3 libmpfr6 libstdc++6 zlib0
Package cygwin is already installed, skipping
Package gcc-core is already installed, skipping
Package libgmp10 is already installed, skipping
Package libiconv2 is already installed, skipping
Package libintl8 is already installed, skipping
Package libisl15 is already installed, skipping
Package libmpc3 is already installed, skipping
Package libmpfr6 is already installed, skipping
Package libstdc++6 is already installed, skipping
Package zlib0 is already installed, skipping
Package gcc-g++ installed
Package git is already installed, skipping

Installing pkg-config
pkg-config-1.6.0-1.tar.xz: OK
Unpacking...
Package pkg-config requires the following packages, installing:
bash cygwin libglib2.0_0 pkgconf
Package bash is already installed, skipping
Package cygwin is already installed, skipping
Package libglib2.0_0 is already installed, skipping
Package pkgconf is already installed, skipping
Package pkg-config installed

Installing automake
automake-11-1.tar.xz: OK
Unpacking...
Package automake requires the following packages, installing:
automake1.10 automake1.11 automake1.12 automake1.13 automake1.14 automake1.15 automake1.16 automake1.4 automake1.5 automake1.6 automake1.7 automake1.8 automake1.9 bash gawk
Package automake1.10 is already installed, skipping
Package automake1.11 is already installed, skipping
Package automake1.12 is already installed, skipping
Package automake1.13 is already installed, skipping
Package automake1.14 is already installed, skipping
Package automake1.15 is already installed, skipping
Package automake1.16 is already installed, skipping
Package automake1.4 is already installed, skipping
Package automake1.5 is already installed, skipping
Package automake1.6 is already installed, skipping
Package automake1.7 is already installed, skipping
Package automake1.8 is already installed, skipping
Package automake1.9 is already installed, skipping
Package bash is already installed, skipping
Package gawk is already installed, skipping
Package automake installed

Installing autoconf
autoconf-13-1.tar.bz2: OK
Unpacking...
Package autoconf requires the following packages, installing:
autoconf2.1 autoconf2.5 bash sed
Package autoconf2.1 is already installed, skipping
Package autoconf2.5 is already installed, skipping
Package bash is already installed, skipping
Package sed is already installed, skipping
Running /etc/postinstall/ autoconf.sh
Package autoconf installed

Installing libtool
libtool-2.4.6-7.tar.xz: OK
Unpacking...
Package libtool requires the following packages, installing:
bash libltdl7
Package bash is already installed, skipping
Package libltdl7 is already installed, skipping
Package libtool installed

Installing make
make-4.2.1-2.tar.xz: OK
Unpacking...
Package make requires the following packages, installing:
cygwin libguile17 libguile2.0_22 libintl8
Package cygwin is already installed, skipping
Package libguile17 is already installed, skipping
Package libguile2.0_22 is already installed, skipping
Package libintl8 is already installed, skipping
Package make installed

Installing python2
python2-2.7.16-1.tar.xz: OK
Unpacking...
Package python2 requires the following packages, installing:
bash binutils cygwin libbz2_1 libcrypt0 libdb5.3 libexpat1 libffi6 libgdbm4 libgdbm_compat4 libintl8 libncursesw10 libopenssl100 libreadline7 libsqlite3_0 libuuid-devel python27 zlib0
Package bash is already installed, skipping
Package binutils is already installed, skipping
Package cygwin is already installed, skipping
Package libbz2_1 is already installed, skipping
Package libcrypt0 is already installed, skipping
Package libdb5.3 is already installed, skipping
Package libexpat1 is already installed, skipping
Package libffi6 is already installed, skipping
Package libgdbm4 is already installed, skipping
Package libgdbm_compat4 is already installed, skipping
Package libintl8 is already installed, skipping
Package libncursesw10 is already installed, skipping
Package libopenssl100 is already installed, skipping
Package libreadline7 is already installed, skipping
Package libsqlite3_0 is already installed, skipping
Package libuuid-devel is already installed, skipping
Package python27 is already installed, skipping
Package zlib0 is already installed, skipping
Package python2 installed

Installing python2-pip
python2-pip-19.2.3-1.tar.xz: OK
Unpacking...
Package python2-pip requires the following packages, installing:
python27-pip
Package python27-pip is already installed, skipping
Package python2-pip installed

Installing sqlite3
sqlite3-3.30.0-1.tar.xz: OK
Unpacking...
Package sqlite3 requires the following packages, installing:
cygwin libreadline7 libsqlite3_0 sqlite3-vfslog zlib0
Package cygwin is already installed, skipping
Package libreadline7 is already installed, skipping
Package libsqlite3_0 is already installed, skipping
Package sqlite3-vfslog is already installed, skipping
Package zlib0 is already installed, skipping
Package sqlite3 installed
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting pip
Using cached https://files.pythonhosted.org/packages/00/b6/9cfa56b4081ad13874b0c6f96af8ce16cfbc1cb06bedf8e9164ce5551ec1/pip-19.3.1-py2.py3-none-any.whl
Installing collected packages: pip
Found existing installation: pip 19.3.1
Uninstalling pip-19.3.1:
Successfully uninstalled pip-19.3.1
Successfully installed pip-19.3.1
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already satisfied: flask in /usr/lib/python2.7/site-packages (1.1.1)
Requirement already satisfied: Jinja2>=2.10.1 in /usr/lib/python2.7/site-packages (from flask) (2.10.3)
Requirement already satisfied: itsdangerous>=0.24 in /usr/lib/python2.7/site-packages (from flask) (1.1.0)
Requirement already satisfied: Werkzeug>=0.15 in /usr/lib/python2.7/site-packages (from flask) (0.16.0)
Requirement already satisfied: click>=5.1 in /usr/lib/python2.7/site-packages (from flask) (7.0)
Requirement already satisfied: MarkupSafe>=0.23 in /usr/lib/python2.7/site-packages (from Jinja2>=2.10.1->flask) (1.1.1)
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already satisfied: flask-login in /usr/lib/python2.7/site-packages (0.4.1)
Requirement already satisfied: Flask in /usr/lib/python2.7/site-packages (from flask-login) (1.1.1)
Requirement already satisfied: Jinja2>=2.10.1 in /usr/lib/python2.7/site-packages (from Flask->flask-login) (2.10.3)
Requirement already satisfied: itsdangerous>=0.24 in /usr/lib/python2.7/site-packages (from Flask->flask-login) (1.1.0)
Requirement already satisfied: Werkzeug>=0.15 in /usr/lib/python2.7/site-packages (from Flask->flask-login) (0.16.0)
Requirement already satisfied: click>=5.1 in /usr/lib/python2.7/site-packages (from Flask->flask-login) (7.0)
Requirement already satisfied: MarkupSafe>=0.23 in /usr/lib/python2.7/site-packages (from Jinja2>=2.10.1->Flask->flask-login) (1.1.1)
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already satisfied: pyserial in /usr/lib/python2.7/site-packages (3.4)
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already satisfied: pymodbus in /usr/lib/python2.7/site-packages (2.3.0)
Requirement already satisfied: six>=1.11.0 in /usr/lib/python2.7/site-packages (from pymodbus) (1.13.0)
Requirement already satisfied: pyserial>=3.4 in /usr/lib/python2.7/site-packages (from pymodbus) (3.4)

[MATIEC COMPILER]

[ST OPTIMIZER]

[GLUE GENERATOR]

[OPEN DNP3]

[LIBMODBUS]
libtoolize: putting auxiliary files in AC_CONFIG_AUX_DIR, 'build-aux'.
libtoolize: linking file 'build-aux/ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIRS, 'm4'.
libtoolize: linking file 'm4/libtool.m4'
libtoolize: linking file 'm4/ltoptions.m4'
libtoolize: linking file 'm4/ltsugar.m4'
libtoolize: linking file 'm4/ltversion.m4'
libtoolize: linking file 'm4/lt~obsolete.m4'
configure.ac:33: installing 'build-aux/compile'
configure.ac:56: installing 'build-aux/config.guess'
configure.ac:56: installing 'build-aux/config.sub'
configure.ac:32: installing 'build-aux/install-sh'
configure.ac:32: installing 'build-aux/missing'
src/Makefile.am: installing 'build-aux/depcomp'
parallel-tests: installing 'build-aux/test-driver'

------------------------------------------------------
Initialized build system. You can now run ./configure
------------------------------------------------------

checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking how to create a pax tar archive... gnutar
checking whether make supports the include directive... yes (GNU style)
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.exe
checking for suffix of executables... .exe
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking whether gcc understands -c and -o together... yes
checking dependency style of gcc... gcc3
checking for gcc option to accept ISO C99... none needed
checking for gcc option to accept ISO Standard C... (cached) none needed
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /usr/bin/grep
checking for egrep... /usr/bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking minix/config.h usability... no
checking minix/config.h presence... no
checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking for special C compiler options needed for large files... no
checking for _FILE_OFFSET_BITS value needed for large files... no
checking whether make supports nested variables... (cached) yes
checking build system type... x86_64-pc-cygwin
checking host system type... x86_64-pc-cygwin
checking how to print strings... printf
checking for a sed that does not truncate output... /usr/bin/sed
checking for fgrep... /usr/bin/grep -F
checking for ld used by gcc... /usr/x86_64-pc-cygwin/bin/ld.exe
checking if the linker (/usr/x86_64-pc-cygwin/bin/ld.exe) is GNU ld... yes
checking for BSD- or MS-compatible name lister (nm)... /usr/bin/nm -B
checking the name lister (/usr/bin/nm -B) interface... BSD nm
checking whether ln -s works... yes
checking the maximum length of command line arguments... 8192
checking how to convert x86_64-pc-cygwin file names to x86_64-pc-cygwin format... func_convert_file_noop
checking how to convert x86_64-pc-cygwin file names to toolchain format... func_convert_file_noop
checking for /usr/x86_64-pc-cygwin/bin/ld.exe option to reload object files... -r
checking for objdump... objdump
checking how to recognize dependent libraries... file_magic ^x86 archive import|^x86 DLL
checking for dlltool... dlltool
checking how to associate runtime and link libraries... func_cygming_dll_for_implib
checking for ar... ar
checking for archiver @FILE support... @
checking for strip... strip
checking for ranlib... ranlib
checking command to parse /usr/bin/nm -B output from gcc object... ok
checking for sysroot... no
checking for a working dd... /usr/bin/dd
checking how to truncate binary pipes... /usr/bin/dd bs=4096 count=1
checking for mt... no
checking if : is a manifest tool... no
checking for dlfcn.h... yes
checking for as... as
checking for dlltool... (cached) dlltool
checking for objdump... (cached) objdump
checking for objdir... .libs
checking if gcc supports -fno-rtti -fno-exceptions... no
checking for gcc option to produce PIC... -DDLL_EXPORT -DPIC
checking if gcc PIC flag -DDLL_EXPORT -DPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.o... (cached) yes
checking whether the gcc linker (/usr/x86_64-pc-cygwin/bin/ld.exe) supports shared libraries... yes
checking whether -lc should be explicitly linked in... yes
checking dynamic linker characteristics... Win32 ld.exe
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking if libtool supports shared libraries... yes
checking whether to build shared libraries... yes
checking whether to build static libraries... no
checking arpa/inet.h usability... yes
checking arpa/inet.h presence... yes
checking for arpa/inet.h... yes
checking byteswap.h usability... yes
checking byteswap.h presence... yes
checking for byteswap.h... yes
checking errno.h usability... yes
checking errno.h presence... yes
checking for errno.h... yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking limits.h usability... yes
checking limits.h presence... yes
checking for limits.h... yes
checking linux/serial.h usability... no
checking linux/serial.h presence... no
checking for linux/serial.h... no
checking netdb.h usability... yes
checking netdb.h presence... yes
checking for netdb.h... yes
checking netinet/in.h usability... yes
checking netinet/in.h presence... yes
checking for netinet/in.h... yes
checking netinet/tcp.h usability... yes
checking netinet/tcp.h presence... yes
checking for netinet/tcp.h... yes
checking sys/ioctl.h usability... yes
checking sys/ioctl.h presence... yes
checking for sys/ioctl.h... yes
checking sys/params.h usability... no
checking sys/params.h presence... no
checking for sys/params.h... no
checking sys/socket.h usability... yes
checking sys/socket.h presence... yes
checking for sys/socket.h... yes
checking sys/time.h usability... yes
checking sys/time.h presence... yes
checking for sys/time.h... yes
checking for sys/types.h... (cached) yes
checking termios.h usability... yes
checking termios.h presence... yes
checking for termios.h... yes
checking time.h usability... yes
checking time.h presence... yes
checking for time.h... yes
checking for unistd.h... (cached) yes
checking for asciidoc... no
checking for xmlto... no
checking whether to build documentation... no
configure: WARNING: The tools to build the documentation aren't installed
checking whether __CYGWIN__ is declared... yes
checking for pid_t... yes
checking vfork.h usability... no
checking vfork.h presence... no
checking for vfork.h... no
checking for fork... yes
checking for vfork... yes
checking for working fork... yes
checking for working vfork... (cached) yes
checking for stdlib.h... (cached) yes
checking for GNU libc compatible malloc... yes
checking for accept4... yes
checking for getaddrinfo... yes
checking for gettimeofday... yes
checking for inet_ntoa... yes
checking for memset... yes
checking for select... yes
checking for socket... yes
checking for strerror... yes
checking for strlcpy... yes
checking for inline... inline
checking for g++... g++
checking whether we are using the GNU C++ compiler... yes
checking whether g++ accepts -g... yes
checking dependency style of g++... gcc3
checking how to run the C++ preprocessor... g++ -E
checking for ld used by g++... /usr/x86_64-pc-cygwin/bin/ld.exe
checking if the linker (/usr/x86_64-pc-cygwin/bin/ld.exe) is GNU ld... yes
checking whether the g++ linker (/usr/x86_64-pc-cygwin/bin/ld.exe) supports shared libraries... yes
checking for g++ option to produce PIC... -DDLL_EXPORT -DPIC
checking if g++ PIC flag -DDLL_EXPORT -DPIC works... yes
checking if g++ static flag -static works... yes
checking if g++ supports -c -o file.o... yes
checking if g++ supports -c -o file.o... (cached) yes
checking whether the g++ linker (/usr/x86_64-pc-cygwin/bin/ld.exe) supports shared libraries... yes
checking dynamic linker characteristics... Win32 ld.exe
checking how to hardcode library paths into programs... immediate
checking for int64_t... yes
checking for size_t... yes
checking for ssize_t... yes
checking for uint16_t... yes
checking for uint32_t... yes
checking for uint8_t... yes
checking whether TIOCSRS485 is declared... no
checking whether TIOCM_RTS is declared... yes
checking that generated files are newer than configure... done
configure: creating ./config.status
config.status: creating Makefile
config.status: creating src/Makefile
config.status: creating src/modbus-version.h
config.status: creating src/win32/modbus.dll.manifest
config.status: creating tests/Makefile
config.status: creating doc/Makefile
config.status: creating libmodbus.pc
config.status: creating config.h
config.status: creating tests/unit-test.h
config.status: executing depfiles commands
config.status: executing libtool commands

libmodbus 3.1.4
===============

prefix: /usr/local
sysconfdir: ${prefix}/etc
libdir: ${exec_prefix}/lib
includedir: ${prefix}/include

compiler: gcc
cflags: -g -O2
ldflags:

documentation: no
tests: yes

Making install in src
CC modbus.lo
CC modbus-data.lo
CC modbus-rtu.lo
CC modbus-tcp.lo
CCLD libmodbus.la
/usr/bin/mkdir -p '/usr/local/lib'
/bin/sh ../libtool --mode=install /usr/bin/install -c libmodbus.la '/usr/local/lib'
libtool: install: /usr/bin/install -c .libs/libmodbus.dll.a /usr/local/lib/libmodbus.dll.a
libtool: install: base_file=`basename libmodbus.la`
libtool: install: dlpath=`/bin/sh 2>&1 -c '. .libs/'libmodbus.la'i; echo cygmodbus-5.dll'`
libtool: install: dldir=/usr/local/lib/`dirname ../bin/cygmodbus-5.dll`
libtool: install: test -d /usr/local/lib/../bin || mkdir -p /usr/local/lib/../bin
libtool: install: /usr/bin/install -c .libs/cygmodbus-5.dll /usr/local/lib/../bin/cygmodbus-5.dll
libtool: install: chmod a+x /usr/local/lib/../bin/cygmodbus-5.dll
libtool: install: if test -n '' && test -n 'strip --strip-unneeded'; then eval 'strip --strip-unneeded /usr/local/lib/../bin/cygmodbus-5.dll' || exit 0; fi
libtool: install: /usr/bin/install -c .libs/libmodbus.lai /usr/local/lib/ libmodbus.la
/usr/bin/mkdir -p '/usr/local/include/modbus'
/usr/bin/install -c -m 644 modbus.h modbus-version.h modbus-rtu.h modbus-tcp.h '/usr/local/include/modbus'
Making install in doc
make[2]: Nothing to be done for 'install-exec-am'.
Making install in tests
CC bandwidth-server-one.o
CCLD bandwidth-server-one.exe
CC bandwidth-server-many-up.o
CCLD bandwidth-server-many-up.exe
CC bandwidth-client.o
CCLD bandwidth-client.exe
CC random-test-server.o
CCLD random-test-server.exe
CC random-test-client.o
CCLD random-test-client.exe
CC unit-test-server.o
CCLD unit-test-server.exe
CC unit-test-client.o
CCLD unit-test-client.exe
CC version.o
CCLD version.exe
make[2]: Nothing to be done for 'install-exec-am'.
make[2]: Nothing to be done for 'install-data-am'.
make[2]: Nothing to be done for 'install-exec-am'.
/usr/bin/mkdir -p '/usr/local/share/doc/libmodbus'
/usr/bin/install -c -m 644 MIGRATION README.md '/usr/local/share/doc/libmodbus'
/usr/bin/mkdir -p '/usr/local/lib/pkgconfig'
/usr/bin/install -c -m 644 libmodbus.pc '/usr/local/lib/pkgconfig'

[FINALIZING]
Activating Blank driver
Setting Platform
Optimizing ST program...
Generating C files...
POUS.c
POUS.h
LOCATED_VARIABLES.h
VARIABLES.csv
Config0.c
Config0.h
Res0.c
Moving Files...
Compiling for Windows
Generating object files...
Generating glueVars...
Compiling main program...
Compilation finished successfully!

OEM@OEM-PC ~/OpenPLC_v3/OpenPLC_v3
$ ./ start_openplc.sh
* Serving Flask app "webserver" (lazy loading)
* Environment: production
WARNING: This is a development server. Do not use it in a production deployment.
Use a production WSGI server instead.
* Debug mode: off
* Running on http://0.0.0.0:8080/ (Press CTRL+C to quit)
127.0.0.1 - - [06/Jan/2020 12:56:40] "GET / HTTP/1.1" 302 -
127.0.0.1 - - [06/Jan/2020 12:56:40] "GET /login HTTP/1.1" 200 -
127.0.0.1 - - [06/Jan/2020 12:56:40] "GET /static/openplc_logo.gif HTTP/1.1" 200 -
127.0.0.1 - - [06/Jan/2020 12:56:40] "GET /favicon.ico HTTP/1.1" 404 -
127.0.0.1 - - [06/Jan/2020 12:56:44] "POST /login HTTP/1.1" 302 -
127.0.0.1 - - [06/Jan/2020 12:56:44] "GET /dashboard HTTP/1.1" 200 -
127.0.0.1 - - [06/Jan/2020 12:56:44] "GET /static/default-user.png HTTP/1.1" 200 -
127.0.0.1 - - [06/Jan/2020 12:56:44] "GET /static/monitoring-icon-64x64.png HTTP/1.1" 200 -
127.0.0.1 - - [06/Jan/2020 12:56:44] "GET /static/modbus-icon-512x512.png HTTP/1.1" 200 -
127.0.0.1 - - [06/Jan/2020 12:56:44] "GET /static/programs-icon-64x64.png HTTP/1.1" 200 -
127.0.0.1 - - [06/Jan/2020 12:56:44] "GET /static/arrow.png HTTP/1.1" 200 -
127.0.0.1 - - [06/Jan/2020 12:56:44] "GET /static/home-icon-64x64.png HTTP/1.1" 200 -
127.0.0.1 - - [06/Jan/2020 12:56:44] "GET /static/hardware-icon-980x974.png HTTP/1.1" 200 -
127.0.0.1 - - [06/Jan/2020 12:56:44] "GET /static/users-icon-64x64.png HTTP/1.1" 200 -
127.0.0.1 - - [06/Jan/2020 12:56:44] "GET /static/logout-icon-64x64.png HTTP/1.1" 200 -
127.0.0.1 - - [06/Jan/2020 12:56:44] "GET /static/settings-icon-64x64.png HTTP/1.1" 200 -
127.0.0.1 - - [06/Jan/2020 12:56:44] "GET /runtime_logs HTTP/1.1" 200 -
127.0.0.1 - - [06/Jan/2020 12:56:44] "GET /favicon.ico HTTP/1.1" 404 -
127.0.0.1 - - [06/Jan/2020 12:56:45] "GET /runtime_logs HTTP/1.1" 200 -
127.0.0.1 - - [06/Jan/2020 12:56:46] "GET /runtime_logs HTTP/1.1" 200 -
127.0.0.1 - - [06/Jan/2020 12:56:47] "GET /runtime_logs HTTP/1.1" 200 -
127.0.0.1 - - [06/Jan/2020 12:56:48] "GET /runtime_logs HTTP/1.1" 200 -
127.0.0.1 - - [06/Jan/2020 12:56:49] "GET /runtime_logs HTTP/1.1" 200 -
127.0.0.1 - - [06/Jan/2020 12:56:50] "GET /runtime_logs HTTP/1.1" 200 -


Quote 0 0
thiagoralves
It looks like you messed up with your installation, installing OpenPLC on top of OpenPLC. That’s why the runtime link is not working. When you open Cygwin terminal, first remove the OpenPLC folder by typing

rm -Rf OpenPLC_v3

then you proceed without fit clone stuff
Quote 0 0
EF13
Okay, gone ahead and completely started from fresh so we can walk through this together.
Computer is clean.
Original download didn't work, now at manual install with admin priv.
Followed install as instructed.
This is usually what i get:

OEM@OEM-PC ~
$ git clone https://github.com/thiagoralves/OpenPLC_v3.git
./ install.sh winfatal: destination path 'OpenPLC_v3' already exists and is not an empty directory.

OEM@OEM-PC ~
$ cd OpenPLC_v3

OEM@OEM-PC ~/OpenPLC_v3
$ ./ install.sh win
Installing OpenPLC on Windows
--00:59:09-- http://cygwin.mirror.constant.com//x86_64/setup.bz2
=> `setup.bz2'
Resolving cygwin.mirror.constant.com... done.
Connecting to cygwin.mirror.constant.com[108.61.5.83]:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 3,958,650 [application/octet-stream]

0K .......... .......... .......... .......... .......... 1% 273.22 KB/s
50K .......... .......... .......... .......... .......... 2% 568.18 KB/s
100K .......... .......... .......... .......... .......... 3% 961.54 KB/s
150K .......... .......... .......... .......... .......... 5% 961.54 KB/s
200K .......... .......... .......... .......... .......... 6% 1.81 MB/s
250K .......... .......... .......... .......... .......... 7% 1.81 MB/s
300K .......... .......... .......... .......... .......... 9% 2.22 MB/s
350K .......... .......... .......... .......... .......... 10% 2.71 MB/s
400K .......... .......... .......... .......... .......... 11% 3.26 MB/s
450K .......... .......... .......... .......... .......... 12% 3.76 MB/s
500K .......... .......... .......... .......... .......... 14% 3.49 MB/s
550K .......... .......... .......... .......... .......... 15% 1.81 MB/s
600K .......... .......... .......... .......... .......... 16% 3.26 MB/s
650K .......... .......... .......... .......... .......... 18% 4.07 MB/s
700K .......... .......... .......... .......... .......... 19% 3.76 MB/s
750K .......... .......... .......... .......... .......... 20% 3.26 MB/s
800K .......... .......... .......... .......... .......... 21% 1.95 MB/s
850K .......... .......... .......... .......... .......... 23% 3.05 MB/s
900K .......... .......... .......... .......... .......... 24% 3.49 MB/s
950K .......... .......... .......... .......... .......... 25% 4.44 MB/s
1000K .......... .......... .......... .......... .......... 27% 3.26 MB/s
1050K .......... .......... .......... .......... .......... 28% 1.88 MB/s
1100K .......... .......... .......... .......... .......... 29% 3.76 MB/s
1150K .......... .......... .......... .......... .......... 31% 3.26 MB/s
1200K .......... .......... .......... .......... .......... 32% 3.49 MB/s
1250K .......... .......... .......... .......... .......... 33% 4.88 MB/s
1300K .......... .......... .......... .......... .......... 34% 1.95 MB/s
1350K .......... .......... .......... .......... .......... 36% 2.71 MB/s
1400K .......... .......... .......... .......... .......... 37% 3.76 MB/s
1450K .......... .......... .......... .......... .......... 38% 2.44 MB/s
1500K .......... .......... .......... .......... .......... 40% 8.14 MB/s
1550K .......... .......... .......... .......... .......... 41% 2.03 MB/s
1600K .......... .......... .......... .......... .......... 42% 2.12 MB/s
1650K .......... .......... .......... .......... .......... 43% 2.87 MB/s
1700K .......... .......... .......... .......... .......... 45% 2.57 MB/s
1750K .......... .......... .......... .......... .......... 46% 3.26 MB/s
1800K .......... .......... .......... .......... .......... 47% 3.05 MB/s
1850K .......... .......... .......... .......... .......... 49% 2.87 MB/s
1900K .......... .......... .......... .......... .......... 50% 3.26 MB/s
1950K .......... .......... .......... .......... .......... 51% 2.71 MB/s
2000K .......... .......... .......... .......... .......... 53% 3.05 MB/s
2050K .......... .......... .......... .......... .......... 54% 3.05 MB/s
2100K .......... .......... .......... .......... .......... 55% 3.05 MB/s
2150K .......... .......... .......... .......... .......... 56% 3.05 MB/s
2200K .......... .......... .......... .......... .......... 58% 2.71 MB/s
2250K .......... .......... .......... .......... .......... 59% 3.05 MB/s
2300K .......... .......... .......... .......... .......... 60% 3.26 MB/s
2350K .......... .......... .......... .......... .......... 62% 3.05 MB/s
2400K .......... .......... .......... .......... .......... 63% 2.57 MB/s
2450K .......... .......... .......... .......... .......... 64% 3.76 MB/s
2500K .......... .......... .......... .......... .......... 65% 2.87 MB/s
2550K .......... .......... .......... .......... .......... 67% 3.05 MB/s
2600K .......... .......... .......... .......... .......... 68% 2.87 MB/s
2650K .......... .......... .......... .......... .......... 69% 3.05 MB/s
2700K .......... .......... .......... .......... .......... 71% 3.05 MB/s
2750K .......... .......... .......... .......... .......... 72% 2.87 MB/s
2800K .......... .......... .......... .......... .......... 73% 3.26 MB/s
2850K .......... .......... .......... .......... .......... 75% 2.87 MB/s
2900K .......... .......... .......... .......... .......... 76% 3.49 MB/s
2950K .......... .......... .......... .......... .......... 77% 2.71 MB/s
3000K .......... .......... .......... .......... .......... 78% 3.76 MB/s
3050K .......... .......... .......... .......... .......... 80% 2.71 MB/s
3100K .......... .......... .......... .......... .......... 81% 2.87 MB/s
3150K .......... .......... .......... .......... .......... 82% 3.26 MB/s
3200K .......... .......... .......... .......... .......... 84% 3.05 MB/s
3250K .......... .......... .......... .......... .......... 85% 3.26 MB/s
3300K .......... .......... .......... .......... .......... 86% 2.71 MB/s
3350K .......... .......... .......... .......... .......... 87% 2.87 MB/s
3400K .......... .......... .......... .......... .......... 89% 3.76 MB/s
3450K .......... .......... .......... .......... .......... 90% 2.57 MB/s
3500K .......... .......... .......... .......... .......... 91% 3.49 MB/s
3550K .......... .......... .......... .......... .......... 93% 2.87 MB/s
3600K .......... .......... .......... .......... .......... 94% 2.87 MB/s
3650K .......... .......... .......... .......... .......... 95% 3.49 MB/s
3700K .......... .......... .......... .......... .......... 97% 2.57 MB/s
3750K .......... .......... .......... .......... .......... 98% 3.49 MB/s
3800K .......... .......... .......... .......... .......... 99% 3.26 MB/s
3850K .......... ..... 100% 3.10 MB/s

00:59:10 (2.36 MB/s) - `setup.bz2' saved [3958650/3958650]

Updated setup.ini
Package lynx is already installed, skipping
Removing gcc-core
Package gcc-core removed
Removing gcc-g++
Package gcc-g++ removed
Removing pkg-config
Package pkg-config removed
Removing automake
Package automake removed
Removing autoconf
Package autoconf removed
Removing libtool
Package libtool removed
Removing make
Package make removed
Removing python2
Package python2 removed
Removing python2-pip
Package python2-pip removed
Removing sqlite3
Package sqlite3 removed
Package wget is already installed, skipping
Installing gcc-core
gcc-core-7.4.0-1.tar.xz: OK
Unpacking...
Package gcc-core requires the following packages, installing:
bash binutils cygwin cygwin-devel libatomic1 libgcc1 libgmp10 libgomp1 libiconv2 libintl8 libisl15 libmpc3 libmpfr6 libquadmath0 w32api-headers w32api-runtime windows-default-manifest zlib0
Package bash is already installed, skipping
Package binutils is already installed, skipping
Package cygwin is already installed, skipping
Package cygwin-devel is already installed, skipping
Package libatomic1 is already installed, skipping
Package libgcc1 is already installed, skipping
Package libgmp10 is already installed, skipping
Package libgomp1 is already installed, skipping
Package libiconv2 is already installed, skipping
Package libintl8 is already installed, skipping
Package libisl15 is already installed, skipping
Package libmpc3 is already installed, skipping
Package libmpfr6 is already installed, skipping
Package libquadmath0 is already installed, skipping
Package w32api-headers is already installed, skipping
Package w32api-runtime is already installed, skipping
Package windows-default-manifest is already installed, skipping
Package zlib0 is already installed, skipping
Package gcc-core installed

Installing gcc-g++
gcc-g++-7.4.0-1.tar.xz: OK
Unpacking...
Package gcc-g++ requires the following packages, installing:
cygwin gcc-core libgmp10 libiconv2 libintl8 libisl15 libmpc3 libmpfr6 libstdc++6 zlib0
Package cygwin is already installed, skipping
Package gcc-core is already installed, skipping
Package libgmp10 is already installed, skipping
Package libiconv2 is already installed, skipping
Package libintl8 is already installed, skipping
Package libisl15 is already installed, skipping
Package libmpc3 is already installed, skipping
Package libmpfr6 is already installed, skipping
Package libstdc++6 is already installed, skipping
Package zlib0 is already installed, skipping
Package gcc-g++ installed
Package git is already installed, skipping

Installing pkg-config
pkg-config-1.6.0-1.tar.xz: OK
Unpacking...
Package pkg-config requires the following packages, installing:
bash cygwin libglib2.0_0 pkgconf
Package bash is already installed, skipping
Package cygwin is already installed, skipping
Package libglib2.0_0 is already installed, skipping
Package pkgconf is already installed, skipping
Package pkg-config installed

Installing automake
automake-11-1.tar.xz: OK
Unpacking...
Package automake requires the following packages, installing:
automake1.10 automake1.11 automake1.12 automake1.13 automake1.14 automake1.15 automake1.16 automake1.4 automake1.5 automake1.6 automake1.7 automake1.8 automake1.9 bash gawk
Package automake1.10 is already installed, skipping
Package automake1.11 is already installed, skipping
Package automake1.12 is already installed, skipping
Package automake1.13 is already installed, skipping
Package automake1.14 is already installed, skipping
Package automake1.15 is already installed, skipping
Package automake1.16 is already installed, skipping
Package automake1.4 is already installed, skipping
Package automake1.5 is already installed, skipping
Package automake1.6 is already installed, skipping
Package automake1.7 is already installed, skipping
Package automake1.8 is already installed, skipping
Package automake1.9 is already installed, skipping
Package bash is already installed, skipping
Package gawk is already installed, skipping
Package automake installed

Installing autoconf
autoconf-13-1.tar.bz2: OK
Unpacking...
Package autoconf requires the following packages, installing:
autoconf2.1 autoconf2.5 bash sed
Package autoconf2.1 is already installed, skipping
Package autoconf2.5 is already installed, skipping
Package bash is already installed, skipping
Package sed is already installed, skipping
Running /etc/postinstall/ autoconf.sh
Package autoconf installed

Installing libtool
libtool-2.4.6-7.tar.xz: OK
Unpacking...
Package libtool requires the following packages, installing:
bash libltdl7
Package bash is already installed, skipping
Package libltdl7 is already installed, skipping
Package libtool installed

Installing make
make-4.2.1-2.tar.xz: OK
Unpacking...
Package make requires the following packages, installing:
cygwin libguile17 libguile2.0_22 libintl8
Package cygwin is already installed, skipping
Package libguile17 is already installed, skipping
Package libguile2.0_22 is already installed, skipping
Package libintl8 is already installed, skipping
Package make installed

Installing python2
python2-2.7.16-1.tar.xz: OK
Unpacking...
Package python2 requires the following packages, installing:
bash binutils cygwin libbz2_1 libcrypt0 libdb5.3 libexpat1 libffi6 libgdbm4 libgdbm_compat4 libintl8 libncursesw10 libopenssl100 libreadline7 libsqlite3_0 libuuid-devel python27 zlib0
Package bash is already installed, skipping
Package binutils is already installed, skipping
Package cygwin is already installed, skipping
Package libbz2_1 is already installed, skipping
Package libcrypt0 is already installed, skipping
Package libdb5.3 is already installed, skipping
Package libexpat1 is already installed, skipping
Package libffi6 is already installed, skipping
Package libgdbm4 is already installed, skipping
Package libgdbm_compat4 is already installed, skipping
Package libintl8 is already installed, skipping
Package libncursesw10 is already installed, skipping
Package libopenssl100 is already installed, skipping
Package libreadline7 is already installed, skipping
Package libsqlite3_0 is already installed, skipping
Package libuuid-devel is already installed, skipping
Package python27 is already installed, skipping
Package zlib0 is already installed, skipping
Package python2 installed

Installing python2-pip
python2-pip-19.2.3-1.tar.xz: OK
Unpacking...
Package python2-pip requires the following packages, installing:
python27-pip
Package python27-pip is already installed, skipping
Package python2-pip installed

Installing sqlite3
sqlite3-3.30.0-1.tar.xz: OK
Unpacking...
Package sqlite3 requires the following packages, installing:
cygwin libreadline7 libsqlite3_0 sqlite3-vfslog zlib0
Package cygwin is already installed, skipping
Package libreadline7 is already installed, skipping
Package libsqlite3_0 is already installed, skipping
Package sqlite3-vfslog is already installed, skipping
Package zlib0 is already installed, skipping
Package sqlite3 installed
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Collecting pip
Using cached https://files.pythonhosted.org/packages/00/b6/9cfa56b4081ad13874b0c6f96af8ce16cfbc1cb06bedf8e9164ce5551ec1/pip-19.3.1-py2.py3-none-any.whl
Installing collected packages: pip
Found existing installation: pip 19.3.1
Uninstalling pip-19.3.1:
Successfully uninstalled pip-19.3.1
Successfully installed pip-19.3.1
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already satisfied: flask in /usr/lib/python2.7/site-packages (1.1.1)
Requirement already satisfied: Jinja2>=2.10.1 in /usr/lib/python2.7/site-packages (from flask) (2.10.3)
Requirement already satisfied: itsdangerous>=0.24 in /usr/lib/python2.7/site-packages (from flask) (1.1.0)
Requirement already satisfied: Werkzeug>=0.15 in /usr/lib/python2.7/site-packages (from flask) (0.16.0)
Requirement already satisfied: click>=5.1 in /usr/lib/python2.7/site-packages (from flask) (7.0)
Requirement already satisfied: MarkupSafe>=0.23 in /usr/lib/python2.7/site-packages (from Jinja2>=2.10.1->flask) (1.1.1)
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already satisfied: flask-login in /usr/lib/python2.7/site-packages (0.4.1)
Requirement already satisfied: Flask in /usr/lib/python2.7/site-packages (from flask-login) (1.1.1)
Requirement already satisfied: Jinja2>=2.10.1 in /usr/lib/python2.7/site-packages (from Flask->flask-login) (2.10.3)
Requirement already satisfied: itsdangerous>=0.24 in /usr/lib/python2.7/site-packages (from Flask->flask-login) (1.1.0)
Requirement already satisfied: Werkzeug>=0.15 in /usr/lib/python2.7/site-packages (from Flask->flask-login) (0.16.0)
Requirement already satisfied: click>=5.1 in /usr/lib/python2.7/site-packages (from Flask->flask-login) (7.0)
Requirement already satisfied: MarkupSafe>=0.23 in /usr/lib/python2.7/site-packages (from Jinja2>=2.10.1->Flask->flask-login) (1.1.1)
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already satisfied: pyserial in /usr/lib/python2.7/site-packages (3.4)
DEPRECATION: Python 2.7 will reach the end of its life on January 1st, 2020. Please upgrade your Python as Python 2.7 won't be maintained after that date. A future version of pip will drop support for Python 2.7. More details about Python 2 support in pip, can be found at https://pip.pypa.io/en/latest/development/release-process/#python-2-support
Requirement already satisfied: pymodbus in /usr/lib/python2.7/site-packages (2.3.0)
Requirement already satisfied: six>=1.11.0 in /usr/lib/python2.7/site-packages (from pymodbus) (1.13.0)
Requirement already satisfied: pyserial>=3.4 in /usr/lib/python2.7/site-packages (from pymodbus) (3.4)

[MATIEC COMPILER]

[ST OPTIMIZER]

[GLUE GENERATOR]

[OPEN DNP3]

[LIBMODBUS]
libtoolize: putting auxiliary files in AC_CONFIG_AUX_DIR, 'build-aux'.
libtoolize: linking file 'build-aux/ltmain.sh'
libtoolize: putting macros in AC_CONFIG_MACRO_DIRS, 'm4'.
libtoolize: linking file 'm4/libtool.m4'
libtoolize: linking file 'm4/ltoptions.m4'
libtoolize: linking file 'm4/ltsugar.m4'
libtoolize: linking file 'm4/ltversion.m4'
libtoolize: linking file 'm4/lt~obsolete.m4'
configure.ac:33: installing 'build-aux/compile'
configure.ac:32: installing 'build-aux/missing'
src/Makefile.am: installing 'build-aux/depcomp'

------------------------------------------------------
Initialized build system. You can now run ./configure
------------------------------------------------------

checking for a BSD-compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
checking for gawk... gawk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking how to create a pax tar archive... gnutar
checking whether make supports the include directive... yes (GNU style)
checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.exe
checking for suffix of executables... configure: error: in `/home/OEM/OpenPLC_v3/utils/libmodbus_src':
configure: error: cannot compute suffix of executables: cannot compile and link
See `config.log' for more details
make: *** No rule to make target 'install'. Stop.
Error installing Libmodbus
OpenPLC was NOT installed!

OEM@OEM-PC ~/OpenPLC_v3
$

Quote 0 0
thiagoralves
EF13 wrote:

./ install.sh winfatal: destination path 'OpenPLC_v3' already exists and is not an empty directory


From this I can see that you haven’t started fresh. You need to remove the OpenPLC_v3 directory as I mentioned above.
Quote 0 0
EF13
Hi Thiago,
I went ahead and installed Ubuntu on my OS and got to the part where I download unzip and type in ./ install.sh for the editor install and doesnt seem to like that...am I unzipping the editor anywhere I like? I put in the openplc_V3 file.
Thanks
Quote 0 0
EF13
alright, it seems to be working now...
Quote 0 0